Groups

Create GroupRole

POST
/groups/{groupId}/roles

Create a Group role.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

groupId*string

Must be a valid group ID.

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.vrchat.cloud/api/1/groups/grp_71a7ff59-112c-4e78-a990-c7cc650776e5/roles" \  -H "Content-Type: application/json" \  -d '{}'
{
  "createdAt": "2019-08-24T14:15:22Z",
  "defaultRole": false,
  "description": "string",
  "groupId": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
  "id": "grol_459d3911-f672-44bc-b84d-e54ffe7960fe",
  "isAddedOnJoin": false,
  "isManagementRole": false,
  "isSelfAssignable": false,
  "name": "string",
  "order": 0,
  "permissions": [
    "*"
  ],
  "requiresPurchase": false,
  "requiresTwoFactor": false,
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "error": {
    "message": "You're not a member.",
    "status_code": 403
  }
}

{
  "error": {
    "message": "Calendar Entry not foundǃ",
    "status_code": 404
  }
}